<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" method="xml"/>
  <xsl:template match="strong">
    <strong>
      <xsl:apply-templates/>
    </strong>
  </xsl:template>
  <xsl:template match="comment">
    <p>
      <xsl:apply-templates/>
    </p>
  </xsl:template>
  <xsl:template match="news[title]">
    <li>
      <xsl:attribute name="date">
        <xsl:value-of select="@date"/>
      </xsl:attribute>
      <xsl:attribute name="genre">
        <xsl:value-of select="@genre"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </li>
  </xsl:template>
  <xsl:template match="junknews[news]">
    <ul>
      <xsl:attribute name="date">
        <xsl:value-of select="@date"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </ul>
  </xsl:template>
  <xsl:template match="br">
    <br>
      <xsl:apply-templates/>
    </br>
  </xsl:template>
  <xsl:template match="title">
    <div>
      <xsl:attribute name="href">
        <xsl:value-of select="@href"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </div>
  </xsl:template>
  <xsl:template match="a">
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="@href"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </a>
  </xsl:template>
</xsl:stylesheet>
